/////////////////////////////////////////////////////////////////////////////
// rpMenu.hh - - RP (Read Print) menus.

#include <Lpp.hh>

// A generic RP Menu.
classL(RpMenu) {
protected:
  let promptM, itemsM;
  RpMenu(let, let, let);
public:
  friend int chooseRpMenu(let);};

// An RP Static Numerical list Menu.
classLI(RpSnMenu) : private RpMenu {
protected:
  RpSnMenu(let, let);
public:
  int Choose();
  friend let rpSnMenu(let, let);};

// An RP Dynamic Symbolic Menu.
classLI(RpDsMenu) : private RpMenu {
protected:
  int nItemsM, nLinesM;
  RpDsMenu(let, let);
  void helpDisplay(); int find(let);
public:
  int Choose();
  friend let rpDsMenu(let, let);};
